<h1 align="center">Welcome to One Dionys - Error Reporting Service Integration! 👋 </h1>

<p align="center">Integration with error reporting services like Sentry or Bugsnag to track and report errors from web applications. 💖 </p>

<p align="center">
<img src="https://img.shields.io/github/contributors/onedionys/onedionys-error-reporting-service-integration?style=flat-square">
<img src="https://img.shields.io/github/issues/onedionys/onedionys-error-reporting-service-integration?style=flat-square">
<img src="https://img.shields.io/github/stars/onedionys/onedionys-error-reporting-service-integration?style=flat-square"> 
<img src="https://img.shields.io/github/forks/onedionys/onedionys-error-reporting-service-integration?style=flat-square">
<img src="https://img.shields.io/github/last-commit/onedionys/onedionys-error-reporting-service-integration.svg?style=flat-square">
<img src="https://img.shields.io/github/languages/code-size/onedionys/onedionys-error-reporting-service-integration?style=flat-square">
<img src="https://img.shields.io/github/license/onedionys/onedionys-error-reporting-service-integration?style=flat-square">
</p>

## 💾 Requirements

* `Web Browser` - Can be used as an emulator to build applications. Example [Chrome, Firefox, Safari & Opera].
* `Internet` - Because many use CDN and to make it easier to find solutions to all problems.

## 🎯 How To Use

#### Example Syntax

```javascript
const ErrorReportingService = require("error-reporting-service");

const errorService = new ErrorReportingService("your-api-key");

const error = new Error("Example error");
errorService.reportError(error);
```

#### Explanation

* This package provides a simple integration for reporting errors to an error reporting service. It includes a reportError() method to send error information to the service using an API key.

#### Return Value

* The reportError() method does not return any value. It asynchronously sends the error information to the error reporting service.

## 📆 Release Date

* v1.0.0 : 17 March 2024
* v1.0.1 : 18 March 2024
* v1.0.2 : 22 March 2024
* v5.0.0 : 31 March 2024

## 🧑 Author

* Facebook : <a href="https://www.facebook.com/theonedionys"> Oned Ionys</a>
* Instagram : <a href="https://www.instagram.com/onedionys/"> @onedionys</a>
* Twitter : <a href="https://twitter.com/onedionys"> @onedionys</a>
* LinkedIn :  <a href="https://www.linkedin.com/in/onedionys/"> @onedionys</a>

## 📝 License

* Copyright © 2024 One Dionys
* **One Dionys - Error Reporting Service Integration is an open source project licensed under the MIT license**

## ☕️ Suppport & Donation

Love One Dionys - Error Reporting Service Integration? Support this project by donating or sharing with others in need.

<a href="https://www.buymeacoffee.com/onedionys"><img src="https://img.shields.io/badge/Buy_Me_A_Coffee-FFDD00?style=for-the-badge&logo=buy-me-a-coffee&logoColor=black"/> </a>

**Made with ❤️ One Dionys**
